\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{homework}[2021/09/17 Basic homework format]

% Packages

\RequirePackage{fancyhdr}
\RequirePackage{tikz}

% Base Class

\LoadClass{article}


% Required Stuff

\renewcommand{\normalsize}{\fontsize{10pt}{12pt}\selectfont}
\setlength{\textwidth}{6.5in}
\setlength{\textheight}{9in}
\setcounter{secnumdepth}{0}


% General Commands

\renewcommand{\title}[1]{\chead{\LARGE{#1}}}
\newcommand{\classAndTerm}[2]{\rhead{#1, #2}}
\newcommand{\defn}{\item[\textbf{Def:}]}
\newcommand{\thm}{\item[\textbf{Thm:}]}

% Settings

\tikzset{
  jumpdot/.style={mark=*,solid},
  excl/.append style={jumpdot,fill=white},
  incl/.append style={jumpdot,fill=black},
}
\parindent = 0pt
\pagestyle{fancyplain}